/*
 * @Author: kael 
 * @Date: 2020-11-05 18:25:42 
 * @Last Modified by: kael
 * @Last Modified time: 2020-11-05 19:23:51
 */

const axios = require('axios');
const conf = global.config.futu;

function apply(name) {
  let headers = { Authorization: conf.auth };
  return axios
    .get(`${conf.base}${conf[name]}`, { headers })
    .then(resp => {
      if (!resp || !resp.data || resp.data.code !== 0) {
        throw new Error('fetch futu error.');
      }
      return resp.data.data;
    });
}

exports.position = () => apply('position');
exports.following = () => apply('following');