#!/usr/bin/env node

/*
 * @Author: kael 
 * @Date: 2020-08-05 11:04:09 
 * @Last Modified by: kael
 * @Last Modified time: 2020-11-11 10:31:24
 */

global.MARKET = {};
global.config = require('rc')('stock');
const { program } = require('commander');
const pkg = require('./package.json');
const cmd = require('./cmd');
const mkt = `sh,sz,hk,us`;

const split = v => v.toLowerCase().split(',');

program
  .version(pkg.version)
  .option('-m, --market <items>', `Stock market (default ${mkt})`, split, split(mkt));

program.parse(process.argv);
global.config.args = program.opts();

console.reset = function () {
  return process.stdout.write('\033c\n');
};

cmd.ma();
