/*
 * @Author: kael 
 * @Date: 2020-11-05 19:19:13 
 * @Last Modified by: kael
 * @Last Modified time: 2020-11-05 19:20:06
 */

const API = require('../api');

const args = (name) => {
  return ((global.config || {}).args || {})[name];
};

const group = (data, mkt) => {
  return data.filter(v => v.code.split('.')[0] === mkt);
};

const holders = () => {
  return API.futu.position();
};

const follows = () => {
  return API.futu.following().then(following =>
    args('market').reduce((ret, mkt) => (ret[mkt] = group(following, mkt.toUpperCase()), ret), {}));
};

module.exports = () => Promise.all([holders(), follows()]);